Public Member Functions | Static Public Member Functions | List of all members
WP1Part Class Referenceabstract

`#include <WP1Part.h>`

Inheritance diagram for WP1Part:

## Public Member Functions
virtual | ~WP1Part ()
virtual void | parse (WP1Listener *listener)=0

## Static Public Member Functions
static WP1Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)

## Constructor & Destructor Documentation

## ◆ ~WP1Part()

virtual WP1Part::~WP1Part | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ constructPart()

WP1Part * WP1Part::constructPart | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | readVal
| ) |  |
| static

Referenced by WP1Parser::parseDocument().

## ◆ parse()

virtual void WP1Part::parse | ( | WP1Listener * | listener | ) |
| pure virtual

Implemented in WP1TopMarginGroup, WP1SuppressPageCharacteristicsGroup, WP1SpacingResetGroup, WP1SetTabsGroup, WP1PointSizeGroup, WP1PictureGroup, WP1MarginResetGroup, WP1MarginReleaseGroup, WP1LeftRightIndentGroup, WP1LeftIndentGroup, WP1JustificationGroup, WP1HeaderFooterGroup, WP1FootnoteEndnoteGroup, WP1FontIdGroup, WP1FlushRightGroup, WP1ExtendedCharacterGroup, WP1CenterTextGroup, WP1BottomMarginGroup, WP1UnsupportedVariableLengthGroup, and WP1UnsupportedFixedLengthGroup.

The documentation for this class was generated from the following files:

- WP1Part.h
- WP1Part.cpp